Loading...
Searching...
No Matches
Dune::InvalidFutureException Class Reference

This exception is thrown when ready(), wait() or get() is called on an invalid future. A future is valid until get() is called and if it is not default-constructed and it was not moved from. More...

`#include <dune/common/parallel/future.hh>`

Inheritance diagram for Dune::InvalidFutureException:

## Public Member Functions

void | message (const std::string &msg)
| store string in internal message buffer
const char * | what () const noexcept override
| output internal message buffer

## Static Public Member Functions

static void | registerHook (ExceptionHook *hook)
| add a functor which is called before a Dune::Exception is emitted (see Dune::ExceptionHook)
static void | clearHook ()
| remove all hooks

## Detailed Description

This exception is thrown when ready(), wait() or get() is called on an invalid future. A future is valid until get() is called and if it is not default-constructed and it was not moved from.

The documentation for this class was generated from the following file:

- future.hh